Create new department
curl --request POST \
--url https://api.raul.ugps.io/api/hr/departments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "IT Department",
"description": "Information Technology Department",
"parent_id": "123e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://api.raul.ugps.io/api/hr/departments"
payload = {
"name": "IT Department",
"description": "Information Technology Department",
"parent_id": "123e4567-e89b-12d3-a456-426614174000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'IT Department',
description: 'Information Technology Department',
parent_id: '123e4567-e89b-12d3-a456-426614174000'
})
};
fetch('https://api.raul.ugps.io/api/hr/departments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HR - Departments
Create new department
Operacion: Create new department.
POST
/
api
/
hr
/
departments
Create new department
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Body
application/json
Response
Department created